RIGTESTLIBUSB(1)

NAME
rigtestlibusb - print summary of USB devices attached to the system.

SYNOPSIS
rigtestlibusb [-v] [-d device]

DESCRIPTION
Command line utility to print a summary USB devices attached to the system. More detail is obtained by use of the -v option.

OPTIONS
This program accepts the following options.

-v  Print more detail about the USB devices.

    Note: Unlike other Hamlib utilities, this option is not cumulative.

-d, /dev/bus/usb/...
    Print information on a specific USB device.

    Note: On a current Debian 12 system this fails with:

        $ rigtestlibusb -v -d /dev/bus/usb/002/009
        Testing wrapped devices is not supported on your platform

BUGS
This woefully incomplete document.

Limited understanding of the intended use cases of this utility. Perhaps more useful on systems that lack an lsusb(1) utiltiy.

COPYING
This file is part of Hamlib, a project to develop a library that simplifies radio, rotator, and amplifier control functions for developers of software primarily of interest to radio amateurs and those interested in radio communications.

Copyright © 2000-2011 Stephane Fillod
Copyright © 2000-2026 the Hamlib Group (various contributors)
Copyright © 2010-2026 Nate Bargmann

This is free software; see the file COPYING for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
rigctl(1), hamlib(7)

COLOPHON
Links to the Hamlib Wiki, Git repository, release archives, and daily snapshot archives are available via hamlib.org (http://www.hamlib.org).